body {
    margin: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    overflow: hidden hidden;
}

ul {
    width: 100%;
    list-style: none;
    padding: 0;
    margin: 0;
}

li {
    width: 50px;
    display: list-item;
    height: 40px;
    text-align: -webkit-match-parent;
}

#main {
    background-color: #f3f4fa !important;
    height: calc(100% - 52px);
    width: 100%;
    margin-top: 2px;
    display: flex;
    flex-direction: row;
}

#left-container {
    position: sticky;
    left: 0;
    top: 0;
    float: left;
    height: calc(100%);
    width: 50px;
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
    border-right: 1px solid #eee;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: #fff;
}

#left-chart-nav {
    background-color: #fff;
    overflow: hidden;
    color: #111;
    width: 100%;
    font-size: 14px;
    font-weight: 500;
    /* box-shadow: 0 0 20px rgba(0, 0, 0, 0.2); */
}

.scrollactive-nav {
    width: 100%;
}

#left-chart-nav:hover {
    overflow-y: auto;
}

#left-chart-nav:hover a {
    text-decoration: none;
}

#left-chart-nav li a {
    display: block;
    text-decoration: none;
    color: #6e7079;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 100%;
}

#left-chart-nav li a .chart-name {
    display: inline-block;
    position: relative;
    vertical-align: middle;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    display: none;
}

#left-chart-nav li a .chart-icon {
    content: '';
    width: 20px;
    display: inline-block;
    border-radius: 50%;
    vertical-align: middle;
}

#left-chart-nav li a .chart-icon svg {
    width: 100% !important;
    height: auto !important;
}

#left-chart-nav li a.active {
    background-color: #5470c6;
    color: #fff;
}

#left-chart-nav li a.active .svgicon * {
    fill: #fff;
}

#left-chart-nav li a.active:hover {
    color: #fff;
}

#left-chart-nav li:hover {
    background: #eee;
    border-right: 4px solid #5470c6;
    font-weight: 600;
}

#left-chart-nav li:hover a {
    color: #464646;
}

.svgicon {
    width: 24px;
    height: 24px;
    fill: #5470c6;
}

.svgicon:hover {
    fill: white;
}

.col-xl-2,
.col-md-4 {
    position: relative;
    min-height: 1px;
    padding-right: 15px;
    /* padding-left: 15px; */
}

.chart-type-head1 {
    font-size: 20px;
    margin: 10;
    margin-bottom: 0;
    font-weight: 600;
}

.chart-type-head2 {
    font-size: 14px;
    margin: 10px;
    color: #949cb1;
}

.chartslist {
    width: 100%;
    height: calc(100% - 40px);
    overflow-y: scroll;
    overflow-x: hidden;
}

#chart-row-line {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.example-list-item {
    width: 90%;
    margin: 0 auto;
    height: calc((90vw / 1.26) + 42px) !important;
    display: flex;
    flex-direction: column;
}

.example-list-item .example-link {
    width: 100%;
    height: calc(100% - 42px);
    background: #fff;
    border-radius: 5px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
    overflow: hidden;
    display: block;
}

.example-list-item .chart-area {
    width: 100%;
    height: 100%;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.example-list-item .chart-area:hover {
    /* transform: scale(1.2); */
}

.example-list-item .example-title {
    color: #293c55;
    padding: 10px 0px 2px 0px;
    margin: 0;
    height: 30px;
    display: block;
    font-size: 12px;
    text-align: left;

    display: flex;
    flex-direction: row;
    cursor: pointer;
}

.example-title span:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    flex: 1;
}

.example-title a {
    color: #5470c6;
    text-decoration: none;
}

#explore-container {
    flex: 1;
    height: 100%;
}


.example-list-panel {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

.example-list-panel .chart-type-head {
    height: 40px;
    line-height: 40px;
    font-size: 16px;
    color: #949cb1;
    font-weight: 500;
    margin-left: 5%;
}


.chartmain {
    margin: 0 auto;
    width: 90%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.chartmain h1 {
    flex: 1;
    line-height: 30px;
    text-align: left;
    font-size: 20px;
}

.chartcontent {
    margin-top: 30px;
    height: calc(100vh - 190px);
    display: flex;
    flex-direction: column;
}

.chartlet {
    width: 100%;
    height: calc(100% - 25% - 20px);
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
}

.chartdesc {
    width: 100%;
    height: 80px;
    display: flex;
    flex-direction: column;
}

.chartdesc h1 {
    font-size: 16px;
    font-weight: 600;
}

.chartdesc h2 {
    font-size: 14px;
    font-weight: 400;
    color: #666;
}


.charts {
    height: calc(100% - 90px);
    width: 100%;
    box-shadow: 0 0 20px rgb(0 0 0 / 5%);
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #fff;
}

.imgsbox {
    position: fixed;
    bottom: 0;
    width: 90%;
    margin: 0 auto;
    height: 160px;
    display: flex;
    margin-top: 10px;
    flex-direction: row;
    align-items: center;
    overflow-x: scroll;
    overflow-y: hidden;
    background: #f3f4fa;
    border: 1px solid #ddd;
    align-items: center;
    justify-content: center;
}

.imgsbox img {
    height: 140px;
    width: calc(140px * 1.26);
    object-fit: fill;
    cursor: pointer;
}

.imgsbox a {
    text-decoration: none;
    color: #333;
}



.imgsItem {
    height: 140px;
    width: calc(140px * 1.26);
    display: flex;
    flex-direction: row;
    margin: 10px;
    cursor: pointer;
    background: #fff;
}

.ats {
    border: 2px solid #1989fa;
}

.imgtxt {
    height: 100%;
    display: flex;
    flex-direction: column;
    display: none;
}

.imgtxt span {
    width: calc(100% - 10px);
    margin-right: 10px;
    height: 20px;
    font-size: 14px;
    line-height: 20px;
    color: #999;

    white-space: nowrap;
    text-overflow: ellipsis;
}

.imgtxt div {
    height: calc(100% - 85px);
}

.imgtxt h3 {
    margin-top: 0px;
    margin-right: 10px;
    word-wrap: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    line-height: 16px;
    -webkit-line-clamp: 4;
    word-break: break-all;
    font-size: 14px;
    padding: 0;
    min-height: 56px;
}

.anav {
    height: 25px;
    line-height: 25px;
    font-size: 14px;
    color: #6e7079;
    margin-top: 10px;
}

.anav a {
    margin-left: 5px;
    margin-right: 5px;
    text-decoration: none;
    color: #1989fa
}

.anav a:last-child {
    color: black
}

.use {
    height: 50px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin-top: 10px;
}

.btnx {
    margin-left: 20px;
    min-width: 120px;
    height: 100%;
    line-height: 30px;
    height: 30px;
    text-align: center;
    border: 1px solid #1989fa;
    border-radius: 20px;
    color: #1989fa;
    opacity: 0.8;
    font-size: 14px;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

a.btnx:link {
    color: #1989fa;
}

a.btnx:visited {
    color: #1989fa;
}

a.btnx:hover {
    color: #FFF;
    background-color: #1989fa;
}

a.btnx:active {
    color: #FFF;
}

.typeselect::-webkit-scrollbar {
    display: none;
}

.imgsbox::-webkit-scrollbar {
    display: none;
}

.imgsbox::-webkit-scrollbar {
    width: 2px;
    height: 2px;
}

.imgsbox::-webkit-scrollbar-thumb {
    height: 2px;
    border-radius: 5px;
    -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.1);
    background: rgba(0, 0, 0, 0.2);

}

.imgsbox::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.1);
    border-radius: 0;
    background: #fff
}

.typeselect {
    width: 100%;
    display: flex;
    flex-direction: row;
    margin-top: 10px;
    overflow-x: scroll;
}

.typeselect a {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 30px;
    min-width: 90px;
    font-weight: 300;
    font-size: 12px;

    margin-right: 5px;
    cursor: pointer;
    text-decoration: none;
    color: #999;
}

.typeselect a.atv {
    font-weight: 600;
    color: #1989fa;
    border-bottom: 2px solid #1989fa;
}

.typeselect svg {
    fill: #999;
}

.typeselect .atv svg {
    fill: #1989fa;
}

.typeselect span {
    margin-left: 5px;
}

.typeselect a:hover {
    font-weight: 600;
    color: #1989fa;
}

.typeselect a:hover svg {
    fill: #1989fa;
}

.selectaicon {
    width: 24px;
    height: 24px;
}

*:focus {
    outline: none
}